View Issue Details

IDProjectCategoryView StatusLast Update
0000779SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.0 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000779: Add a symmetric parameter that tells the data loader that it is NOT ok to ignore a table if it is missing in the database
DescriptionAdd a symmetric parameter that tells the data loader that it is NOT ok to ignore a table if it is missing in the database. The default behavior is to ignore the table and mark a batch as OK.
TagsNo tags attached.

Activities

chenson

2012-12-16 12:31

administrator   ~0000130

Prepare for release

Related Changesets

SymmetricDS: master dba0ef3c

2012-12-01 11:06:22

chenson

Details Diff
0000779: Add a symmetric parameter that tells the data loader that it is NOT ok to ignore a table if it is missing in the database
0000779
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbImport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataEventType.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterSettings.java Diff File

SymmetricDS: master 55d51adf

2012-12-01 11:29:54

chenson

Details Diff
0000779: Add a symmetric parameter that tells the data loader that it is NOT ok to ignore a table if it is missing in the database
0000779
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataEventType.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2012-08-19 13:10 chenson New Issue
2012-12-01 11:06 chenson Status new => resolved
2012-12-01 11:06 chenson Fixed in Version => 3.2.0
2012-12-01 11:06 chenson Resolution open => fixed
2012-12-01 11:06 chenson Assigned To => chenson
2012-12-16 12:31 chenson Note Added: 0000130
2012-12-16 12:31 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6602
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6604
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 55d51adf
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master dba0ef3c